Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 4498)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! argument removed from rd_mpi_io_open
+! 
+! 4496 2020-04-15 08:37:26Z raasch
 ! bugfix: MPI barrier removed, coupling character added to input filename
 ! 
@@ -845,5 +848,5 @@
 !
 !--    Open the MPI-IO restart file.
-       CALL rd_mpi_io_open( 'read', 'BININ' // TRIM( coupling_char ), only_global = .TRUE. )
+       CALL rd_mpi_io_open( 'read', 'BININ' // TRIM( coupling_char ) )
 
 !
Index: palm/trunk/SOURCE/restart_data_mpi_io_mod.f90
===================================================================
--- palm/trunk/SOURCE/restart_data_mpi_io_mod.f90	(revision 4497)
+++ palm/trunk/SOURCE/restart_data_mpi_io_mod.f90	(revision 4498)
@@ -24,4 +24,7 @@
 ! -----------------
 ! $Id$
+! bugfix for creation of filetypes, argument removed from rd_mpi_io_open
+! 
+! 4497 2020-04-15 10:20:51Z raasch
 ! last bugfix deactivated because of compile problems
 ! 
@@ -244,5 +247,5 @@
 !> Open restart file for read or write with MPI-IO
 !--------------------------------------------------------------------------------------------------!
- SUBROUTINE rd_mpi_io_open( action, file_name, only_global )
+ SUBROUTINE rd_mpi_io_open( action, file_name )
 
     IMPLICIT NONE
@@ -251,7 +254,4 @@
     CHARACTER(LEN=*), INTENT(IN)  ::  file_name                        !<
 
-    LOGICAL, INTENT(IN), OPTIONAL ::  only_global                      !<
-    LOGICAL                       ::  set_filetype                     !<
-
     INTEGER(iwp)                  ::  i                                !<
     INTEGER(iwp)                  ::  gh_size                          !<
@@ -276,14 +276,9 @@
 !-- Create subarrays and file types
     filetypes_created = .FALSE.
-    set_filetype      = .TRUE.
-
-    IF ( PRESENT( only_global ) )  THEN
-       IF ( only_global )  set_filetype = .FALSE.
-    ENDIF
 
 !
 !-- In case of read it is not known yet if data include total domain. Filetypes will be created
 !-- further below.
-    IF ( set_filetype  .AND.  wr_flag)  THEN
+    IF ( wr_flag)  THEN
        CALL rs_mpi_io_create_filetypes
        filetypes_created = .TRUE.
@@ -368,9 +363,8 @@
 
 !
-!--    File types deoend on if boundaries of the total domain is included in data
-       IF ( set_filetype )  THEN
-          CALL rs_mpi_io_create_filetypes
-          filetypes_created = .TRUE.
-       ENDIF
+!--    File types depend on if boundaries of the total domain is included in data. This has been
+!--    checked with the previous statement.
+       CALL rs_mpi_io_create_filetypes
+       filetypes_created = .TRUE.
 
 #if defined( __parallel )
Index: palm/trunk/SOURCE/user_data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_mask.f90	(revision 4497)
+++ palm/trunk/SOURCE/user_data_output_mask.f90	(revision 4498)
@@ -1,23 +1,23 @@
 !> @file user_data_output_mask.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
-! ------------------
+! -----------------
 ! 
 ! 
@@ -25,17 +25,21 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 4168 2019-08-16 13:50:17Z suehring
-! Remove dependency on surface_mod + example for terrain-following output 
+! Remove dependency on surface_mod + example for terrain-following output
 ! adjusted
-! 
+!
 ! 4069 2019-07-01 14:05:51Z Giersch
-! Masked output running index mid has been introduced as a local variable to 
+! Masked output running index mid has been introduced as a local variable to
 ! avoid runtime error (Loop variable has been modified) in time_integration
-! 
+!
 ! 3768 2019-02-27 14:35:58Z raasch
 ! variables commented + statement added to avoid compiler warnings about unused variables
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Add terrain-following output
@@ -45,34 +49,32 @@
 ! Description:
 ! ------------
-!> Resorts the user-defined output quantity with indices (k,j,i) to a
-!> temporary array with indices (i,j,k) for masked data output.
-!------------------------------------------------------------------------------!
+!> Resorts the user-defined output quantity with indices (k,j,i) to a temporary array with
+!> indices (i,j,k) for masked data output.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE user_data_output_mask( av, variable, found, local_pf, mid )
- 
+
 
     USE control_parameters
-        
+
     USE indices
-    
+
     USE kinds
-    
+
     USE user
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable  !< 
+    CHARACTER(LEN=*) ::  variable  !<
 
-    INTEGER(iwp) ::  av             !< 
-    INTEGER(iwp) ::  mid            !< masked output running index
-!    INTEGER(iwp) ::  i              !<
-!    INTEGER(iwp) ::  j              !<
-!    INTEGER(iwp) ::  k              !<
-!    INTEGER(iwp) ::  topo_top_index !< k index of highest horizontal surface
+    INTEGER(iwp) ::  av              !<
+    INTEGER(iwp) ::  mid             !< masked output running index
+!    INTEGER(iwp) ::  i               !<
+!    INTEGER(iwp) ::  j               !<
+!    INTEGER(iwp) ::  k               !<
+!    INTEGER(iwp) ::  topo_top_index  !< k index of highest horizontal surface
 
-    LOGICAL ::  found               !< 
+    LOGICAL ::  found  !<
 
-    REAL(wp),                                                                  &
-       DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2),mask_size_l(mid,3)) ::  &
-          local_pf   !< 
+    REAL(wp), DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2),mask_size_l(mid,3)) ::  local_pf  !<
 
 !
@@ -87,6 +89,6 @@
 
 !--    Uncomment and extend the following lines, if necessary.
-!--    The arrays for storing the user defined quantities (here u2 and u2_av)
-!--    have to be declared and defined by the user!
+!--    The arrays for storing the user defined quantities (here u2 and u2_av) have to be declared
+!--    and defined by the user!
 !--    Sample for user-defined output:
 !       CASE ( 'u2' )
@@ -98,6 +100,6 @@
 !                   DO  j = 1, mask_size_l(mid,2)
 !                      DO  k = 1, mask_size_l(mid,3)
-!                         local_pf(i,j,k) = u2(mask_k(mid,k),                  &
-!                                              mask_j(mid,j),                  &
+!                         local_pf(i,j,k) = u2(mask_k(mid,k),                                       &
+!                                              mask_j(mid,j),                                       &
 !                                              mask_i(mid,i))
 !                      ENDDO
@@ -111,15 +113,10 @@
 !!
 !!--                   Get k index of highest horizontal surface
-!                      topo_top_index = topo_top_ind( &
-!                                        mask_j(mid,j), &
-!                                        mask_i(mid,i), &
-!                                        1          )
+!                      topo_top_index = topo_top_ind( mask_j(mid,j), mask_i(mid,i), 1 )
 !!
 !!--                   Save output array
 !                      DO  k = 1, mask_size_l(mid,3)
-!                         local_pf(i,j,k) = u2(MIN( topo_top_index+mask_k(mid,k),&
-!                                                   nzt+1 ),                     &
-!                                              mask_j(mid,j),                    &
-!                                              mask_i(mid,i)                   )
+!                         local_pf(i,j,k) = u2(MIN( topo_top_index + mask_k(mid,k), nzt+1 ),        &
+!                                              mask_j(mid,j), mask_i(mid,i) )
 !                      ENDDO
 !                   ENDDO
@@ -133,7 +130,5 @@
 !                   DO  j = 1, mask_size_l(mid,2)
 !                      DO  k = 1, mask_size_l(mid,3)
-!                          local_pf(i,j,k) = u2_av(mask_k(mid,k),              &
-!                                                  mask_j(mid,j),              &
-!                                                  mask_i(mid,i) )
+!                          local_pf(i,j,k) = u2_av(mask_k(mid,k), mask_j(mid,j), mask_i(mid,i) )
 !                       ENDDO
 !                    ENDDO
@@ -146,16 +141,10 @@
 !!
 !!--                   Get k index of highest horizontal surface
-!                      topo_top_index = topo_top_ind(   &
-!                                        mask_j(mid,j), &
-!                                        mask_i(mid,i), &
-!                                        1 )
+!                      topo_top_index = topo_top_ind( mask_j(mid,j), mask_i(mid,i), 1 )
 !!
 !!--                   Save output array
 !                      DO  k = 1, mask_size_l(mid,3)
-!                         local_pf(i,j,k) = u2_av(                               &
-!                                              MIN( topo_top_index+mask_k(mid,k),&
-!                                                   nzt+1 ),                     &
-!                                              mask_j(mid,j),                    &
-!                                              mask_i(mid,i)                   )
+!                         local_pf(i,j,k) = u2_av( MIN( topo_top_index+mask_k(mid,k), nzt+1 ),      &
+!                                                  mask_j(mid,j), mask_i(mid,i) )
 !                      ENDDO
 !                   ENDDO
Index: palm/trunk/SOURCE/user_flight.f90
===================================================================
--- palm/trunk/SOURCE/user_flight.f90	(revision 4497)
+++ palm/trunk/SOURCE/user_flight.f90	(revision 4498)
@@ -1,23 +1,23 @@
 !> @file user_flight.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
-! ------------------
+! -----------------
 ! 
 ! 
@@ -25,12 +25,16 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3768 2019-02-27 14:35:58Z raasch
 ! unused variables commented out + statement added to avoid compiler warnings
-! 
+!
 ! 3684 2019-01-20 20:20:58Z knoop
 ! Corrected "Former revisions" section
-! 
+!
 ! 1957 2016-07-07 10:43:48Z suehring
 ! Initial revision
@@ -38,11 +42,10 @@
 ! Description:
 ! ------------
-!> Calculation of user-defined output quantity for flight measurements after 
-!> each timestep. 
-!------------------------------------------------------------------------------!
+!> Calculation of user-defined output quantity for flight measurements after each timestep.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE user_flight( var, id )
 
     USE control_parameters
-    
+
     USE grid_variables
 
@@ -60,7 +63,7 @@
 !    INTEGER(iwp) ::  j  !< index along y
 !    INTEGER(iwp) ::  k  !< index along z
-    INTEGER(iwp) ::  id !< variable identifyer, according to the settings in user_init_flight
-        
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var !< treated variable
+    INTEGER(iwp) ::  id  !< variable identifyer, according to the settings in user_init_flight
+
+    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  var  !< treated variable
 
 !
@@ -69,31 +72,29 @@
 
 !
-!-- Here, the respective variable is calculated. There is no call of 
-!-- exchange_horiz necessary. 
-!-- The variable identifyer (id) must be set according to the settings in 
-!-- user_init_flight.
+!-- Here, the respective variable is calculated. There is no call of exchange_horiz necessary.
+!-- The variable identifyer (id) must be set according to the settings in user_init_flight.
 !-- Please note, so far, variable must be located at the center of a grid box.
 !     var = 0.0_wp
 
 !     SELECT CASE ( id )
-! 
+!
 !        CASE ( 1 )
-!           DO i = nxl-1, nxr+1
-!              DO j = nys-1, nyn+1
-!                 DO k = nzb, nzt
+!           DO  i = nxl-1, nxr+1
+!              DO  j = nys-1, nyn+1
+!                 DO  k = nzb, nzt
 !                    var(k,j,i) = ABS( u(k,j,i )
 !                 ENDDO
 !              ENDDO
 !           ENDDO
-!           
+!
 !        CASE ( 2 )
-!           DO i = nxl-1, nxr+1
-!              DO j = nys-1, nyn+1
-!                 DO k = nzb, nzt
+!           DO  i = nxl-1, nxr+1
+!              DO  j = nys-1, nyn+1
+!                 DO  k = nzb, nzt
 !                    var(k,j,i) = ABS( v(k,j,i) )
 !                 ENDDO
 !              ENDDO
 !           ENDDO
-! 
+!
 !     END SELECT
 
Index: palm/trunk/SOURCE/user_init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/user_init_3d_model.f90	(revision 4497)
+++ palm/trunk/SOURCE/user_init_3d_model.f90	(revision 4498)
@@ -1,20 +1,20 @@
 !> @file user_init_3d_model.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
@@ -25,9 +25,13 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3768 2019-02-27 14:35:58Z raasch
 ! variables commented out to avoid compiler warnings about unused variables
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
@@ -42,29 +46,29 @@
 !> @attention The user is responsible to set at least all those quantities which
 !>            are normally set within init_3d_model!
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE user_init_3d_model
- 
+
 
     USE arrays_3d
-    
+
     USE control_parameters
-    
+
     USE indices
-    
+
     USE kinds
 
     USE surface_mod
-    
+
     USE user
 
     IMPLICIT NONE
 
-!    INTEGER(iwp) ::  l !< running index surface orientation
-!    INTEGER(iwp) ::  m !< running index surface elements
+!    INTEGER(iwp) ::  l  !< running index surface orientation
+!    INTEGER(iwp) ::  m  !< running index surface elements
 
 !
 !-- Initialization of surface-related quantities.
-!-- The following example shows required initialization of surface quantitites
-!-- at default-type upward-facing surfaces.  
+!-- The following example shows required initialization of surface quantitites at default-type
+!-- upward-facing surfaces.
 !   DO  m = 1, surf_def_h(0)%ns
 !      surf_def_h(0)%ol(m)   = ...    ! Obukhov length
@@ -87,15 +91,15 @@
 !         surf_def_h(0)%ssws(m) = ... ! surface latent heat flux
 !      ENDIF
-!   ENDDO 
+!   ENDDO
 !
 !-- Same for natural and urban type surfaces
 !   DO  m = 1, surf_lsm_h%ns
 !      ...
-!   ENDDO 
+!   ENDDO
 !   DO  m = 1, surf_usm_h%ns
 !      ...
 !   ENDDO
 !
-!-- Also care for vertically aligned surfaces (default-, natural-, and 
+!-- Also care for vertically aligned surfaces (default-, natural-, and
 !-- urban-type).
 !   DO  l = 0, 3
Index: palm/trunk/SOURCE/user_init_flight.f90
===================================================================
--- palm/trunk/SOURCE/user_init_flight.f90	(revision 4497)
+++ palm/trunk/SOURCE/user_init_flight.f90	(revision 4498)
@@ -1,20 +1,20 @@
 !> @file user_init_flight.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
@@ -25,12 +25,16 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3768 2019-02-27 14:35:58Z raasch
 ! statements commented or added to avoid compiler warnings about unused variables
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Corrected "Former revisions" section
-! 
+!
 ! 1957 2016-07-07 10:43:48Z suehring
 ! Initial revision
@@ -39,27 +43,28 @@
 ! ------------
 !> Execution of user-defined initialization for flight measurements.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE user_init_flight( init, k, id, label_leg )
- 
+
 
     USE control_parameters
-    
+
     USE indices
-    
+
     USE kinds
-    
-!    USE netcdf_interface,                                                      &
-!        ONLY: dofl_label, dofl_unit
-    
+
+!    USE netcdf_interface,                                                                          &
+!        ONLY: dofl_label,                                                                          &
+!              dofl_unit
+
     USE user
 
     IMPLICIT NONE
-    
+
     CHARACTER(LEN=10), OPTIONAL ::  label_leg     !< label of the respective leg
-   
+
     INTEGER(iwp), OPTIONAL                ::  id  !< variable index
     INTEGER(iwp), OPTIONAL, INTENT(INOUT) ::  k   !< index for respective variable and leg
-    
-    LOGICAL ::  init  !< variable to recognize initial call 
+
+    LOGICAL ::  init  !< variable to recognize initial call
 
 !
@@ -71,7 +76,6 @@
 !
 !-- Sample for user-defined flight-time series.
-!-- For each quantity you have to give a label and a unit, which will be used
-!-- for the output into NetCDF file. They must not contain more than
-!-- twenty characters. 
+!-- For each quantity you have to give a label and a unit, which will be used for the output into
+!-- NetCDF file. They must not contain more than twenty characters.
 
 
@@ -80,30 +84,30 @@
 !--    The number of user-defined quantity has to be increased appropriately.
 !--    In the following example, 2 user-defined quantities are added.
-!        num_var_fl_user = num_var_fl_user + 2 
+!        num_var_fl_user = num_var_fl_user + 2
 
        init = .FALSE.
-    
+
     ELSE
-    
+
 !
 !--    Please add the respective number of new variables as following:
-      
+
 !        SELECT CASE ( id )
-!        
+!
 !           CASE ( 1 )
 !              dofl_label(k)   = TRIM(label_leg) // '_' // 'abs_u'
 !              dofl_unit(k)    = 'm/s'
 !              k               = k + 1
-!              
+!
 !           CASE ( 2 )
-!     
+!
 !              dofl_label(k)   = TRIM(label_leg) // '_' // 'abs_v'
 !              dofl_unit(k)    = 'm/s'
 !              k               = k + 1
-!              
+!
 !        END SELECT
 
     ENDIF
-       
+
  END SUBROUTINE user_init_flight
 
Index: palm/trunk/SOURCE/user_init_grid.f90
===================================================================
--- palm/trunk/SOURCE/user_init_grid.f90	(revision 4497)
+++ palm/trunk/SOURCE/user_init_grid.f90	(revision 4498)
@@ -1,20 +1,20 @@
 !> @file user_init_grid.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
+!
 !
 ! Current revisions:
@@ -25,9 +25,13 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3768 2019-02-27 14:35:58Z raasch
 ! variables commented + statement added to avoid compiler warnings about unused variables
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! dz was replaced by dz(1)
@@ -40,20 +44,20 @@
 ! ------------
 !> Execution of user-defined grid initializing actions
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE user_init_grid( topo_3d )
- 
+
 
     USE control_parameters
-    
+
     USE indices
-    
+
     USE kinds
-    
+
     USE user
 
     IMPLICIT NONE
 
-!    INTEGER(iwp)                                           ::  k_topo      !< topography top index
-    INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  topo_3d     !< 3D topography field
+!    INTEGER(iwp)                                           ::  k_topo   !< topography top index
+    INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  topo_3d  !< 3D topography field
 
 !    REAL(wp) ::  h_topo !< user-defined topography height
@@ -78,31 +82,28 @@
        CASE ( 'user_defined_topography_1' )
 !
-!--       Here the user can define his own topography.
+!--       Here the user can define their own topography.
 !--       After definition, please remove the following three lines!
           message_string = 'topography "' // topography // '" not available yet'
           CALL message( 'user_init_grid', 'UI0005', 1, 2, 0, 6, 0 )
 !
-!--       The user is allowed to set surface-mounted as well as non-surface
-!--       mounted topography (e.g. overhanging structures). For both, use 
-!--       3D array topo_3d and set bit 0. The convention is: bit is zero inside 
-!--       topography, bit is 1 for atmospheric grid point. 
-!--       The following example shows how to prescribe sine-like topography 
-!--       along x-direction with amplitude of 10 * dz(1) and wavelength 10 * dy.
+!--       The user is allowed to set surface-mounted as well as non-surface mounted topography
+!--       (e.g. overhanging structures). For both, use 3D array topo_3d and set bit 0. The
+!--       convention is: bit is zero inside topography, bit is 1 for atmospheric grid point.
+!--       The following example shows how to prescribe sine-like topography along x-direction with
+!--       amplitude of 10 * dz(1) and wavelength 10 * dy.
 !           DO  i = nxlg, nxrg
-!              h_topo = 10.0_wp * dz(1) * (SIN(3.14_wp*0.5_wp)*i*dx / ( 5.0_wp * dy ) )**2
-! 
+!              h_topo = 10.0_wp * dz(1) * ( SIN( 3.14_wp * 0.5_wp) * i * dx / ( 5.0_wp * dy ) )**2
+!
 !              k_topo = MINLOC( ABS( zw - h_topo ), 1 ) - 1
-! 
-!              topo_3d(k_topo+1:nzt+1,:,i) =                                     &
-!                                          IBSET( topo_3d(k_topo+1:nzt+1,:,i), 0 ) 
-!           ENDDO 
-! 
+!
+!              topo_3d(k_topo+1:nzt+1,:,i) = IBSET( topo_3d(k_topo+1:nzt+1,:,i), 0 )
+!           ENDDO
+!
 !           CALL exchange_horiz_int( topo_3d, nys, nyn, nxl, nxr, nzt, nbgp )
 
        CASE DEFAULT
 !
-!--       The DEFAULT case is reached if the parameter topography contains a
-!--       wrong character string that is neither recognized in init_grid nor 
-!--       here in user_init_grid.
+!--       The DEFAULT case is reached if the parameter topography contains a wrong character string
+!--       that is neither recognized in init_grid nor here in user_init_grid.
           message_string = 'unknown topography "' // topography // '"'
           CALL message( 'user_init_grid', 'UI0006', 1, 2, 0, 6, 0 )
@@ -110,7 +111,4 @@
     END SELECT
 
-
-
-
  END SUBROUTINE user_init_grid
 
